const setupErrors = (app) => {
  app.use((req, res, next) => {
    next(new Error(404));
  });

  app.use((err, req, res, next) => {
    res.locals.message = err.message;
    res.locals.error = req.app.get('env') === 'development' ? err : {};

    res.status(err.status || 500);

    res.json({
      error: true,
      data: {},
      message: err.message
    });
  });
};

module.exports = setupErrors;