const getSales = `
  SELECT 
    V.NRSEQVENDA, 
    V.CDFILIAL,
    F.NMFILIAL,
    E.DSENDEFILI,
    E.NMBAIRFILI,
    M.NMMUNICIPIO,
    E.SGESTADO,
    V.CDLOJA,
    L.NMLOJA,
    C.CDCAIXA,
    C.NMCAIXA,
    DECODE(IDSITUVENDA, 'O', 'CONCLUIDA', 'CANCELADA') AS IDSITUVENDA, 
    V.DTENTRVENDA,
    V.DTVENDA,
    V.NRNOTAFISCALCE,
    SUM(QTPRODVEND) AS QTPRODVEND,
    P.CDARVPROD,
    P.CDPRODUTO,
    P.NMPRODUTO,
    P.SGUNIDADE,
    VRUNITVEND,
    VRDESITVEND,
    VRACRITVEND,
    NVL(V.NMCONSVEND, O.NMCONSUMIDOR) AS NOMECONSUMIOR,
    NVL(V.NRINSCRCONS, O.NRCPFRESPCON) AS CPFCONSUMIDOR,
    NVL(V.SGESTADO, O.SGESTADO) AS ESTADOCONSUMIDOR,
    NVL(V.CDMUNICIPIO, O.CDMUNICIPIO) AS MUNICIPIOCONSUMIDOR,
    NVL(V.CDBAIRRO, O.CDBAIRRO) AS BAIRROCONSUMIDOR,
    NVL(V.DSENDECONSVENDA, O.DSENDECONS) AS ENDECONSUMIDOR,
    NVL(V.NRCEPCONSVENDA, O.NRCEPCONS) AS CEPCONSUMIDOR,
    O.NRCELULARCONS AS TELCONSUMIDOR,                          
    CASE 
      WHEN SUBSTR(V.IDORIGEMVENDA,0,3) <> 'DLV' 
      THEN V.VRTXSEVENDA 
      ELSE 0 
    END AS VRTAXASERVICO,
    CASE 
      WHEN SUBSTR(V.IDORIGEMVENDA,0,3) = 'DLV' 
      THEN V.VRTXSEVENDA 
      ELSE 0 
    END AS VRTAXAENTREGA,
    SUM((QTPRODVEND * (NVL(VRUNITVEND, 0) + (NVL(VRUNITVENDCL, 0))) + VRACRITVEND - VRDESITVEND)) AS VALORVENDIDO
  FROM 
    VENDA V, 
    ITEMVENDA I, 
    PRODUTO P, 
    ENDEFILI E, 
    FILIAL F, 
    MUNICIPIO M, 
    LOJA L, 
    CAIXA C, 
    CONSUMIDOR O
  WHERE 
    V.CDFILIAL = I.CDFILIAL
    AND V.CDCAIXA = I.CDCAIXA
    AND V.NRSEQVENDA = I.NRSEQVENDA
    AND I.CDPRODUTO = P.CDPRODUTO
    AND V.CDFILIAL = E.CDFILIAL
    AND V.CDFILIAL = F.CDFILIAL
    AND E.CDPAIS = M.CDPAIS
    AND E.SGESTADO = M.SGESTADO
    AND E.CDMUNICIPIO = M.CDMUNICIPIO
    AND V.CDFILIAL = L.CDFILIAL
    AND V.CDLOJA = V.CDLOJA
    AND V.CDCAIXA = C.CDCAIXA
    AND F.CDFILIAL = C.CDFILIAL
    AND V.CDCLIENTE = O.CDCLIENTE(+)   
    AND V.CDCONSUMIDOR = O.CDCONSUMIDOR(+)
    AND V.DTENTRVENDA BETWEEN TO_DATE(:P_DTINICIAL, 'DD/MM/YYYY') AND TO_DATE(:P_DTFINAL, 'DD/MM/YYYY')                         
  GROUP BY 
    V.NRSEQVENDA, 
    V.CDFILIAL,
    F.NMFILIAL,
    E.DSENDEFILI,
    E.NMBAIRFILI,
    M.NMMUNICIPIO,
    E.SGESTADO,
    V.CDLOJA,
    L.NMLOJA,
    C.CDCAIXA,
    C.NMCAIXA,
    I.VRUNITVEND,
    I.VRDESITVEND,
    I.VRACRITVEND,
    V.IDSITUVENDA,
    V.DTENTRVENDA,
    V.DTVENDA,
    V.NRNOTAFISCALCE,
    P.CDARVPROD,
    P.CDPRODUTO,
    P.NMPRODUTO,
    P.SGUNIDADE,
    V.NMCONSVEND,
    O.NMCONSUMIDOR,
    V.NRINSCRCONS,
    O.NRCPFRESPCON,
    V.SGESTADO,
    O.SGESTADO,
    V.CDMUNICIPIO,
    O.CDMUNICIPIO,
    V.CDBAIRRO,
    O.CDBAIRRO,
    V.DSENDECONSVENDA,
    O.DSENDECONS,
    V.NRCEPCONSVENDA,
    O.NRCEPCONS,
    O.NRCELULARCONS,
    V.IDORIGEMVENDA,
    V.VRTXSEVENDA
`;

module.exports = getSales;