const Util = require('../service/util');
const Crypt = require('../service/crypt');

const route = (router) => {
  router.post('/admin/token', async function(req, res, next) {
    try {
      const header = req.headers;

      if (!('authorization' in header)) {
        throw new Error(`Missing authorization in header request`);
      }

      const authorization = header.authorization;
      Util.isValidBasicAuth(authorization);

      const body = req.body;

      if (!('dbname' in body)) {
        throw new Error(`Missing 'dbname' in body request params.`);
      }

      const { dbname }= req.body;

      const connection = JSON.stringify({
        "driver": "oci8",
        "host": "",
        "port": "",
        "user": "/",
        "password": "",
        "dbname": dbname,
        "charset": "AL32UTF8",
        "service": true,
        "sessionMode": "OCI_CRED_EXT"
      });

      const { DB_CRYPT_KEY } = process.env;

      const token = Crypt.encrypt(connection, DB_CRYPT_KEY);

      res.json({
        "error": false,
        "token": token
      });
    } catch (error) {
      res.json({
        "error": true,
        "message": error.message
      });
    }
  });
}

module.exports = route;